
config more[off]
spool file[p_hww06.out]


# PROJECT: 		Healthy, Wealthy, & Wise (AHEAD Data)
# FACULTY:		Dan McFadden
# AUTHOR:		Peter Adams
# LAST UPDATE:		February 13, 2003
# PROGRAM DESC:		Variable Means/Descriptions/Tables


load file[hww123]

config precis[digits=8]


# ====================================================================
# SET MACROS
# ====================================================================

macro m_dem1 { agem1, as701, as801, nevmarr1, widow1, divsep1, \
	magedie1, pagedie1, smokev, lobmi1, hibmi1 }
macro m_ses1 { q1wb1, q4wb1, q1ib1, q4ib1, educ, hs, coll, \
	hoodpf1, condpf1, dnhous1 }

macro m_dem2 { agem2, as702, as802, nevmarr2, widow2, divsep2, \
	lobmi2, hibmi2 }
macro m_ses2 { q1wb2, q4wb2, q1ib2, q4ib2, \
	hoodpf2, condpf2, dnhous2, moved2 }

macro m_dem3 { agem3, as703, as803, nevmarr3, widow3, divsep3, \
	lobmi3, hibmi3 }
macro m_ses3 { q1wb3, q4wb3, \
	hoodpf3, condpf3, dnhous3, moved3 }


# ====================================================================
# PREVALENCE VARIABLE DESCRIPTIONS (TOTAL SAMPLE)
# ====================================================================

cova var[@cond1 @m_dem1 @m_ses1] byvar
cova var[@cond2 @m_dem2 @m_ses2] byvar if[(status2==2)|(status2==4)]
cova var[@cond3 @m_dem3 @m_ses3] byvar if[(status3==2)|(status3==4)]


# ====================================================================
# INCIDENCE VARIABLE DESCRIPTIONS (TOTAL SAMPLE)
# ====================================================================

cova var[tdied2]
cova var[@icond2] byvar if[(status2==2)|(status2==4)]
cova var[tdied3] if[status2==2]
cova var[@icond3] byvar if[(status3==2)|(status3==4)]


# ====================================================================
# PREVALENCE (WAVE 1): BY GENDER, BY AGEGRP1 (WHITES ONLY)
# ====================================================================

foreach (i; {@accute1 @degenr1 @kron1 @accid1 proxyw1 @mental1 \
	smoknow1 dhlth1 hoodpf1 condpf1}) {
table var[agegrp1 $i male] row if[white==1]
}

foreach (i; {1 2 3 4 5}) {
echo FEMALES, agegrp1 $i
cova var[bmi1] if[(male==0)&(agegrp1==$i)&(white==1)]
echo MALES, agegrp1 $i
cova var[bmi1] if[(male==1)&(agegrp1==$i)&(white==1)]
}

foreach (i; {1 2 3 4 5}) {
echo FEMALES, agegrp1 $i
cova var[numadl1] if[(male==0)&(agegrp1==$i)&(white==1)]
echo MALES, agegrp1 $i
cova var[numadl1] if[(male==1)&(agegrp1==$i)&(white==1)]
}

foreach (i; {1 2 3 4 5}) {
echo FEMALES, agegrp1 $i
cova var[numiadl1] if[(male==0)&(agegrp1==$i)&(white==1)]
echo MALES, agegrp1 $i
cova var[numiadl1] if[(male==1)&(agegrp1==$i)&(white==1)]
}


# ====================================================================
# PREVALENCE (WAVE 2): BY GENDER, BY AGEGRP2 (WHITES ONLY)
# ====================================================================

foreach (i; {@accute2 @degenr2 @kron2 @accid2 proxyw2 @mental2 \
	smoknow2 dhlth2 hoodpf2 condpf2}) {
table var[agegrp2 $i male] row if[(white==1)&(status2==2)]
}

foreach (i; {1 2 3 4 5}) {
echo FEMALES, agegrp2 $i
cova var[bmi2] if[(male==0)&(agegrp2==$i)&(white==1)&(status2==2)]
echo MALES, agegrp2 $i
cova var[bmi2] if[(male==1)&(agegrp2==$i)&(white==1)&(status2==2)]
}

foreach (i; {1 2 3 4 5}) {
echo FEMALES, agegrp2 $i
cova var[numadl2] if[(male==0)&(agegrp2==$i)&(white==1)&(status2==2)]
echo MALES, agegrp2 $i
cova var[numadl2] if[(male==1)&(agegrp2==$i)&(white==1)&(status2==2)]
}

foreach (i; {1 2 3 4 5}) {
echo FEMALES, agegrp2 $i
cova var[numiadl2] if[(male==0)&(agegrp2==$i)&(white==1)&(status2==2)]
echo MALES, agegrp2 $i
cova var[numiadl2] if[(male==1)&(agegrp2==$i)&(white==1)&(status2==2)]
}


# ====================================================================
# PREVALENCE (WAVE 3): BY GENDER, BY AGEGRP3 (WHITES ONLY)
# ====================================================================

foreach (i; {@accute3 @degenr3 @kron3 @accid3 proxyw3 @mental3 \
	smoknow3 dhlth3 hoodpf3 condpf3}) {
table var[agegrp3 $i male] row if[(white==1)&(status3==2)]
}

foreach (i; {1 2 3 4 5}) {
echo FEMALES, agegrp3 $i
cova var[bmi3] if[(male==0)&(agegrp3==$i)&(white==1)&(status3==2)]
echo MALES, agegrp3 $i
cova var[bmi3] if[(male==1)&(agegrp3==$i)&(white==1)&(status3==2)]
}

foreach (i; {1 2 3 4 5}) {
echo FEMALES, agegrp3 $i
cova var[numadl3] if[(male==0)&(agegrp3==$i)&(white==1)&(status3==2)]
echo MALES, agegrp3 $i
cova var[numadl3] if[(male==1)&(agegrp3==$i)&(white==1)&(status3==2)]
}

foreach (i; {1 2 3 4 5}) {
echo FEMALES, agegrp3 $i
cova var[numiadl3] if[(male==0)&(agegrp3==$i)&(white==1)&(status3==2)]
echo MALES, agegrp3 $i
cova var[numiadl3] if[(male==1)&(agegrp3==$i)&(white==1)&(status3==2)]
}


# ====================================================================
# WEALTH,INCOME,EDUCATION (WAVE 1): BY GENDER, BY AGEGRP1
# ====================================================================

#foreach (i; {1 2 3 4 5}) {
#echo FEMALES, agegrp1 $i
#cova var[c_2w1] if[(male==0)&(agegrp1==$i)]
#echo MALES, agegrp1 $i
#cova var[c_2w1] if[(male==1)&(agegrp1==$i)]
#}

#foreach (i; {1 2 3 4 5}) {
#echo FEMALES, agegrp1 $i
#cova var[c_2i1] if[(male==0)&(agegrp1==$i)]
#echo MALES, agegrp1 $i
#cova var[c_2i1] if[(male==1)&(agegrp1==$i)]
#}

#foreach (i; {1 2 3 4 5}) {
#echo FEMALES, agegrp1 $i
#cova var[educ] if[(male==0)&(agegrp1==$i)]
#echo MALES, agegrp1 $i
#cova var[educ] if[(male==1)&(agegrp1==$i)]
#}

#foreach (i; {1 2 3 4 5}) {
#echo FEMALES, agegrp1 $i
#cova var[adjeduc] if[(male==0)&(agegrp1==$i)]
#echo MALES, agegrp1 $i
#cova var[adjeduc] if[(male==1)&(agegrp1==$i)]
#}


# ====================================================================
# MOVED,HOME OWNERSHIP: BY GENDER, BY SAMPLE (WHITES ONLY)
# ====================================================================

table var[moved2 dnhous2] if[white==1]
table var[moved3 dnhous3] if[white==1]

table var[moved2 sample2 male] if[white==1]
table var[dnhous2 sample2 male] if[(white==1)&(moved2==1)]

table var[moved3 sample3 male] if[white==1]
table var[dnhous3 sample3 male] if[(white==1)&(moved3==1)]


# ====================================================================
# WEALTH,INCOME (WAVE 1): (WHITES ONLY)
# ====================================================================

cova var[c_2w1] if[white==1]
cova var[c_2l1] if[white==1]
cova var[c_2n1] if[white==1]
cova var[c_2i1] if[white==1]

calc quantile(c_2w1,.25); if[white==1]
calc median(c_2w1); if[white==1]
calc quantile(c_2w1,.75); if[white==1]
calc quantile(c_2w1,.75)-quantile(c_2w1,.25); if[white==1]

calc quantile(c_2l1,.25); if[white==1]
calc median(c_2l1); if[white==1]
calc quantile(c_2l1,.75); if[white==1]
calc quantile(c_2l1,.75)-quantile(c_2l1,.25); if[white==1]

calc quantile(c_2n1,.25); if[white==1]
calc median(c_2n1); if[white==1]
calc quantile(c_2n1,.75); if[white==1]
calc quantile(c_2n1,.75)-quantile(c_2n1,.25); if[white==1]

calc quantile(c_2i1,.25); if[white==1]
calc median(c_2i1); if[white==1]
calc quantile(c_2i1,.75); if[white==1]
calc quantile(c_2i1,.75)-quantile(c_2i1,.25); if[white==1]


# ====================================================================
# WEALTH,INCOME (WAVE 1): BY AGEGRP1 (WHITES ONLY)
# ====================================================================

foreach (i; {1 2 3 4 5}) {
cova var[c_2w1] if[(white==1)&(agegrp1==$i)]
cova var[c_2l1] if[(white==1)&(agegrp1==$i)]
cova var[c_2n1] if[(white==1)&(agegrp1==$i)]
cova var[c_2i1] if[(white==1)&(agegrp1==$i)]
}

foreach (i; {1 2 3 4 5}) {
calc quantile(c_2w1,.25); if[(white==1)&(agegrp1==$i)]
calc median(c_2w1); if[(white==1)&(agegrp1==$i)]
calc quantile(c_2w1,.75); if[(white==1)&(agegrp1==$i)]
}

foreach (i; {1 2 3 4 5}) {
calc quantile(c_2l1,.25); if[(white==1)&(agegrp1==$i)]
calc median(c_2l1); if[(white==1)&(agegrp1==$i)]
calc quantile(c_2l1,.75); if[(white==1)&(agegrp1==$i)]
}

foreach (i; {1 2 3 4 5}) {
calc quantile(c_2n1,.25); if[(white==1)&(agegrp1==$i)]
calc median(c_2n1); if[(white==1)&(agegrp1==$i)]
calc quantile(c_2n1,.75); if[(white==1)&(agegrp1==$i)]
}

foreach (i; {1 2 3 4 5}) {
calc quantile(c_2i1,.25); if[(white==1)&(agegrp1==$i)]
calc median(c_2i1); if[(white==1)&(agegrp1==$i)]
calc quantile(c_2i1,.75); if[(white==1)&(agegrp1==$i)]
}


# ====================================================================
# WEALTH,INCOME (WAVE 1)
# ====================================================================

calc lqrW=quantile(c_2w1,.25)
calc medW=median(c_2w1)
calc uqrW=quantile(c_2w1,.75)
calc iqrW=uqrW-lqrW

calc lqrWL=quantile(c_2l1,.25)
calc medWL=median(c_2l1)
calc uqrWL=quantile(c_2l1,.75)
calc iqrWL=uqrWL-lqrWL

calc lqrWN=quantile(c_2n1,.25)
calc medWN=median(c_2n1)
calc uqrWN=quantile(c_2n1,.75)
calc iqrWN=uqrWN-lqrWN

calc lqrN=quantile(c_2i1,.25)
calc medN=median(c_2i1)
calc uqrN=quantile(c_2i1,.75)
calc iqrN=uqrN-lqrN

calc cW=1/iqrW
calc cWL=1/iqrWL
calc cWN=1/iqrWN
calc cN=1/iqrN
   
calc dW=medW/iqrW
calc dWL=medWL/iqrWL
calc dWN=medWN/iqrWN
calc dN=medN/iqrN

set W1=cW*c_2w1-dW
set WL1=cWL*c_2l1-dWL
set WN1=cWN*c_2n1-dWN
set N1=cN*c_2i1-dN

set zW1=1./(1+exp(-W1))
set zWL1=1./(1+exp(-WL1))
set zWN1=1./(1+exp(-WN1))
set zN1=1./(1+exp(-N1))

echo
echo TOTAL WEALTH, LIQUID WEALTH, NON-LIQUID, INCOME
echo =================================================================

echo
echo MEDIAN (Total Sample)
echo -----------------------------------------------------------------

calc medW
calc medWL
calc medWN
calc medN

echo
echo IQR (Total Sample)
echo -----------------------------------------------------------------

calc iqrW
calc iqrWL
calc iqrWN
calc iqrN

echo
echo LOWER QUARTILE (Z, married1==1)
echo -----------------------------------------------------------------

calc quantile(zW1,.25); if[married1==1]
calc quantile(zWL1,.25); if[married1==1]
calc quantile(zWN1,.25); if[married1==1]
calc quantile(zN1,.25); if[married1==1]

echo
echo UPPER QUARTILE (Z, married1==1)
echo -----------------------------------------------------------------

calc quantile(zW1,.75); if[married1==1]
calc quantile(zWL1,.75); if[married1==1]
calc quantile(zWN1,.75); if[married1==1]
calc quantile(zN1,.75); if[married1==1]

echo
echo LOWER QUARTILE (Z, single1==1)
echo -----------------------------------------------------------------

calc quantile(zW1,.25); if[single1==1]
calc quantile(zWL1,.25); if[single1==1]
calc quantile(zWN1,.25); if[single1==1]
calc quantile(zN1,.25); if[single1==1]

echo
echo UPPER QUARTILE (Z, single1==1)
echo -----------------------------------------------------------------

calc quantile(zW1,.75); if[single1==1]
calc quantile(zWL1,.75); if[single1==1]
calc quantile(zWN1,.75); if[single1==1]
calc quantile(zN1,.75); if[single1==1]


spool off
quit
