
config more[off]
spool file[p_hww08.out]


# PROJECT: 		Healthy, Wealthy, & Wise (AHEAD Data)
# FACULTY:		Dan McFadden
# AUTHOR:		Peter Adams
# LAST UPDATE:		February 05, 2003
# PROGRAM DESC:		Non-Health Incidence Probits (Female CC)


load file[hww123]



set valid1=1; if[sample2<=3]
set valid1=0; if[(male==1)&(sample2==1)] 
set valid2=1; if[sample3<=3]
set valid2=0; if[(male==1)&(sample3==1)]

cova var[valid1 valid2 sample2 sample3] byvar


# ====================================================================
# RE-SET SPOUSE VARIABLES
# ====================================================================

set spdied2=0; if[miss(spdied2)==1]
set spdied3=0; if[miss(spdied3)==1]

set spas701=0; if[miss(spas701)==1]
set spas801=0; if[miss(spas801)==1]
set spas702=0; if[miss(spas702)==1]
set spas802=0; if[miss(spas802)==1]
set ssmokev=0; if[miss(ssmokev)==1]
set s_hs=0; if[miss(s_hs)==1]
set s_coll=0; if[miss(s_coll)==1]
set snumadl1=0; if[miss(snumadl1)==1]
set snmiadl1=0; if[miss(snmiadl1)==1]
set sdhlth1=0; if[miss(sdhlth1)==1]
set snumadl2=0; if[miss(snumadl2)==1]
set snmiadl2=0; if[miss(snmiadl2)==1]
set sdhlth2=0; if[miss(sdhlth2)==1]
set snumadl3=0; if[miss(snumadl3)==1]
set snmiadl3=0; if[miss(snmiadl3)==1]
set sdhlth3=0; if[miss(sdhlth3)==1]

set mspdied2=male*spdied2
set mspdied3=male*spdied3
set msingle1=male*single1
set msingle2=male*single2


#cova var[spas701 spas801 spas702 spas802 ssmokev s_hs s_coll snumadl1 \
#	snmiadl1 sdhlth1 snumadl2 snmiadl2 sdhlth2 snumadl3 snmiadl3 \
#	sdhlth3] byvar
	
save file[junk]

	
# ====================================================================
# DEFINE STACKED VARIABLES
# ====================================================================

# SET OBSERVATIONS
# --------------------------------------------------------------------

range obs[1-12978]
set ndx=obsno

set ndx12=ndx
match key[ndx12] file[junk]
set ndx23=ndx
match key[ndx23] file[junk]

set dd12=(ndx <= 6489)
set dd23=(1 - dd12)*(inw2==1)
set dd13=dd12|dd23

set zero=zero
set one=one

# DEFINE STACKING MACRO
# --------------------------------------------------------------------

macro stk(a,b,c) {
 set a=b; if[dd12] rp
 set a=c; if[dd23]
}

# VARIANT STACKED VARIABLES
# --------------------------------------------------------------------

@stk(one1,one,zero)
@stk(one2,zero,one)
@stk(one12,one,one)
@stk(zero12,zero,zero)

@stk(lmonth1,lmonth12,zero)
@stk(lmonth2,zero,lmonth23)
@stk(lmonth,lmonth12,lmonth23)

@stk(logm1,logm12,zero)
@stk(logm2,zero,logm23)
@stk(logm,logm12,logm23)

@stk(as70m1,as701,zero)
@stk(as70m2,zero,as702)
@stk(as70m12,as701,as702)

@stk(as80m1,as801,zero)
@stk(as80m2,zero,as802)
@stk(as80m12,as801,as802)

@stk(sas70m1,spas701,zero)
@stk(sas70m2,zero,spas702)
@stk(sas70m12,spas701,spas702)

@stk(sas80m1,spas801,zero)
@stk(sas80m2,zero,spas802)
@stk(sas80m12,spas801,spas802)

@stk(male12,male,male)
@stk(white12,white,white)
@stk(sample23,sample2,sample3)

@stk(spdied23,spdied2,spdied3)
@stk(mspdie23,mspdied2,mspdied3)
@stk(single12,single1,single2)
@stk(msing12,msingle1,msingle2)
@stk(valid12,valid1,valid2)

# DEMOGRAPHICS
# --------------------------------------------------------------------

@stk(nevmar12,nevmarr1,nevmarr2)
@stk(widow12,widow1,widow2)
@stk(divsep12,divsep1,divsep2)
@stk(magedi12,magedie1,magedie1) 
@stk(pagedi12,pagedie1,pagedie1) 
@stk(smokev12,smokev,smokev)

@stk(ssmokev12,ssmokev,ssmokev)

# SOCIO-ECONOMIC STATUS
# --------------------------------------------------------------------

@stk(q1wc12,q1wc1,q1wc2)
@stk(q4wc12,q4wc1,q4wc2) 
@stk(q1ic12,q1ic1,q1ic2) 
@stk(q4ic12,q4ic1,q4ic2) 

@stk(q1wb12,q1wb1,q1wb2)
@stk(q4wb12,q4wb1,q4wb2) 
@stk(q1ib12,q1ib1,q1ib2) 
@stk(q4ib12,q4ib1,q4ib2) 

@stk(hs12,hs,hs) 
@stk(coll12,coll,coll) 
@stk(hoodpf12,hoodpf1,hoodpf2) 
@stk(condpf12,condpf1,condpf2)

@stk(shs12,s_hs,s_hs) 
@stk(scoll12,s_coll,s_coll) 

# INDEPENDENT HEALTH CONDITIONS
# --------------------------------------------------------------------

@stk(canc12,cancer1,cancer2) 
@stk(heart12,heart1,heart2)
@stk(strk12,stroke1,stroke2) 
@stk(lung12,lung1,lung2) 
@stk(diab12,diabet1,diabet2)
@stk(high12,highbp1,highbp2)
@stk(arth12,arthrt1,arthrt2)
@stk(incon12,incont1,incont2)
@stk(fall12,fall1,fall2)
@stk(hip12,hipfrc1,hipfrc2)
@stk(proxy12,proxyw1,proxyw2)
@stk(cog12,cogim1,cogim2)
@stk(psych12,psych1,psych2)
@stk(depr12,depres1,depres2)
@stk(bmi12,bmi1,bmi2)
@stk(hibmi12,hibmi1,hibmi2)
@stk(lobmi12,lobmi1,lobmi2)
@stk(smok12,smoknow1,smoknow2)
@stk(adl12,numadl1,numadl2)
@stk(iadl12,numiadl1,numiadl2)
@stk(dhlth12,dhlth1,dhlth2)
@stk(hmown12,dnhous1,dnhous2)

# SPOUSE INDEPENDENT HEALTH CONDITIONS
# --------------------------------------------------------------------

@stk(scanc12,scancer1,scancer2) 
@stk(sheart12,sheart1,sheart2)
@stk(sstrk12,sstroke1,sstroke2) 
@stk(slung12,slung1,slung2) 
@stk(sdiab12,sdiabet1,sdiabet2)
@stk(shigh12,shighbp1,shighbp2)
@stk(sarth12,sarthrt1,sarthrt2)
@stk(sincon12,sincont1,sincont2)
@stk(sfall12,sfall1,sfall2)
@stk(ship12,shipfrc1,shipfrc2)
@stk(sproxy12,sproxyw1,sproxyw2)
@stk(scog12,scogim1,scogim2)
@stk(spsych12,spsych1,spsych2)
@stk(sdepr12,sdepres1,sdepres2)
@stk(shibmi12,shibmi1,shibmi2)
@stk(slobmi12,slobmi1,slobmi2)
@stk(ssmok12,ssmoknw1,ssmoknw2)
@stk(sadl12,snumadl1,snumadl2)
@stk(siadl12,snmiadl1,snmiadl2)
@stk(sdhlth12,sdhlth1,sdhlth2)

# DEPENDENT HEALTH CONDITIONS 
# --------------------------------------------------------------------

@stk(jcanc23,jcancer2,jcancer3) 
@stk(jheart23,jheart2,jheart3) 
@stk(jstrk23,jstroke2,jstroke3)
@stk(mort23,tdied2,tdied3)
@stk(ilung23,ilung2,ilung3) 
@stk(idiab23,idiabet2,idiabet3)
@stk(ihigh23,ihighbp2,ihighbp3) 
@stk(iarth23,iarthrt2,iarthrt3) 
@stk(jincon23,jincont2,jincont3)
@stk(jfall23,jfall2,jfall3) 
@stk(jhip23,jhipfrc2,jhipfrc3) 
@stk(proxy23,proxyw2,proxyw3)
@stk(icog23,icogim2,icogim3)
@stk(ipsych23,ipsych2,ipsych3) 
@stk(idepr23,idepres2,idepres3) 
@stk(bmi23,bmi2,bmi3)
@stk(bmibt23,bmibt2,bmibt3)
@stk(bmiws23,bmiws2,bmiws3)
@stk(smok23,smoknow2,smoknow3)
@stk(adl23,numadl2,numadl3)
@stk(iadl23,numiadl2,numiadl3)
@stk(dhlth23,dhlth2,dhlth3)
@stk(moved23,moved2,moved3)
@stk(hmown23,dnhous2,dnhous3)
@stk(hoodpf23,hoodpf2,hoodpf3)
@stk(condpf23,condpf2,condpf3)

@stk(cwlth23,cwlth2,cwlth3)
@stk(hmown23,d_hous2,d_hous3)

# SPOUSE DEPENDENT HEALTH CONDITIONS 
# --------------------------------------------------------------------

@stk(sjcanc23,sjcancr2,sjcancr3) 
@stk(sjheart23,sjheart2,sjheart3) 
@stk(sjstrk23,sjstrok2,sjstrok3)
@stk(smort23,spdied2,spdied3)
@stk(silung23,silung2,silung3) 
@stk(sidiab23,sidiabt2,sidiabt3)
@stk(sihigh23,sihghbp2,sihghbp3) 
@stk(siarth23,siartht2,siartht3) 
@stk(sjincon23,sjincot2,sjincot3)
@stk(sjfall23,sjfall2,sjfall3) 
@stk(sjhip23,sjhipfr2,sjhipfr3) 
@stk(sproxy23,sproxyw2,sproxyw3)
@stk(sicog23,sicogim2,sicogim3)
@stk(sipsych23,sipsych2,sipsych3) 
@stk(sidepr23,sideprs2,sideprs3) 
@stk(sbmibt23,sbmibt2,sbmibt3)
@stk(sbmiws23,sbmiws2,sbmiws3)
@stk(ssmok23,ssmoknw2,ssmoknw3)
@stk(sadl23,snumadl2,snumadl3)
@stk(siadl23,snmiadl2,snmiadl3)
@stk(sdhlth23,sdhlth2,sdhlth3)

# ====================================================================
# DEFINE INDEPENDENT VARIABLE MACROS
# ====================================================================

# AGE
# --------------------------------------------------------------------

macro m_age1m { as70m1, as80m1 }
macro m_age2m { as70m2, as80m2 }
macro m_age12m { as70m12, as80m12 }

# DEMOGRAPHICS
# --------------------------------------------------------------------

macro m_dem12 { male12, nevmar12, widow12, divsep12, spdied23, \
	magedi12, pagedi12, smokev12 }
macro m_dem12a { male12, single12, spdied23, mspdie23 }

# SOCIO-ECONOMIC STATUS
# --------------------------------------------------------------------

macro m_ses12 { q1wb12, q4wb12, q1ib12, q4ib12, hs12, coll12, \
	hoodpf12, condpf12, cwlth23 }
macro m_ses12a { q1wb12, q4wb12, q1ib12, q4ib12, hs12, coll12, \
	hoodpf12, condpf12, cwlth23, hoodpf23 }
macro m_ses12b { q1wb12, q4wb12, q1ib12, q4ib12, hoodpf12, condpf12, \
	cwlth23 }
macro m_ses12c { q1wb12, q4wb12, q1ib12, q4ib12, hoodpf12, condpf12, \
	cwlth23, hoodpf23 }

# SPOUSE VARIABLES
# --------------------------------------------------------------------

macro m_sagem { sas70m12, sas80m12 }
macro m_sage1m { sas70m1, sas80m1 }
macro m_sage2m { sas70m2, sas80m2 }
macro m_sdem12 { ssmokev12 }
macro m_sses12 { shs12, scoll12 }
macro m_sprev { scanc12, sheart12, sstrk12, slung12, sdiab12, \
	shigh12, sarth12, sincon12, sfall12, ship12, sproxy12, scog12, \
	spsych12, sdepr12, slobmi12, shibmi12, ssmok12, sadl12, \
	siadl12, sdhlth12 }
macro m_sinc { sjcanc23, sjheart23, sjstrk23, silung23, sidiab23, \
	sihigh23, siarth23, sjincon23, sjfall23, sjhip23, sproxy23, \
	sicog23, sipsych23, sidepr23, sbmibt23, sbmiws23, ssmok23, \
	sadl23, siadl23, sdhlth23 }
macro m_spous { @m_sagem @m_sdem12 @m_sses12 \
	sadl12, siadl12, sdhlth12, sadl23, siadl23, sdhlth23 }
macro m_spous2 { sadl12, siadl12, sdhlth12, sadl23, siadl23, sdhlth23 }

#cova var[@m_spous] byvar
 
# STACKED HEALTH CONDITIONS
# --------------------------------------------------------------------

macro m_moved1 { canc12, heart12, strk12, lung12, diab12, \
	high12, arth12, incon12, fall12, hip12, proxy12, cog12, \
	psych12, depr12, lobmi12, hibmi12, smok12, adl12, iadl12, \
	dhlth12, hmown12, jcanc23, jheart23, jstrk23, ilung23, idiab23, \
	ihigh23, iarth23, jincon23, jfall23, jhip23, proxy23, \
	icog23, ipsych23, idepr23, bmibt23, bmiws23, smok23, \
	adl23, iadl23, dhlth23 }

macro m_moved4 { adl12, iadl12, dhlth12, adl23, iadl23, dhlth23, @m_spous2 }

macro m_hmown1 { canc12, heart12, strk12, lung12, diab12, \
	high12, arth12, incon12, fall12, hip12, proxy12, cog12, \
	psych12, depr12, lobmi12, hibmi12, smok12, adl12, iadl12, \
	dhlth12, hmown12, jcanc23, jheart23, jstrk23, ilung23, idiab23, \
	ihigh23, iarth23, jincon23, jfall23, jhip23, proxy23, \
	icog23, ipsych23, idepr23, bmibt23, bmiws23, smok23, \
	adl23, iadl23, dhlth23 }

macro m_hmown4 { adl12, iadl12, dhlth12, adl23, iadl23, dhlth23 }

macro m_hood1 { canc12, heart12, strk12, lung12, diab12, \
	high12, arth12, incon12, fall12, hip12, proxy12, cog12, \
	psych12, depr12, lobmi12, hibmi12, smok12, adl12, iadl12, \
	dhlth12, hmown12, jcanc23, jheart23, jstrk23, ilung23, idiab23, \
	ihigh23, iarth23, jincon23, jfall23, jhip23, proxy23, \
	icog23, ipsych23, idepr23, bmibt23, bmiws23, smok23, \
	adl23, iadl23, dhlth23, hmown23 }

macro m_hood4 { adl12, iadl12, dhlth12, adl23, iadl23, dhlth23, hmown23 }

macro m_cond1 { canc12, heart12, strk12, lung12, diab12, \
	high12, arth12, incon12, fall12, hip12, proxy12, cog12, \
	psych12, depr12, lobmi12, hibmi12, smok12, adl12, iadl12, \
	dhlth12, hmown12, jcanc23, jheart23, jstrk23, ilung23, idiab23, \
	ihigh23, iarth23, jincon23, jfall23, jhip23, proxy23, \
	icog23, ipsych23, idepr23, bmibt23, bmiws23, smok23, \
	adl23, iadl23, dhlth23, hmown23 }

macro m_cond4 { adl12, iadl12, dhlth12, adl23, iadl23, dhlth23, hmown23 }


# ====================================================================
# DEFINE DEPENDENT VARIABLE LABEL ARRAY
# ====================================================================

array a_label = ( CANCER \
	CANCER_noprev \
	CANCER_prev \
	HEART \
	HEART_noprev \
	HEART_prev \
	STROKE \
	STROKE_noprev \
	STROKE_prev \
	MORTALITY \
	LUNG \
	DIABETES \
	HIGH_BLOOD_PRESSURE \
	ARTHRITIS \
	INCONTINENCE \
	INCONTINENCE_noprev \
	INCONTINENCE_prev \
	FALL \
	FALL_noprev \
	FALL_prev \
	HIP_FRACTURE \
	HIP_FRACTURE_noprev \
	HIP_FRACTURE_prev \
	PROXY_INTERVIEW \
	PROXY_INTERVIEW_noprev \
	PROXY_INTERVIEW_prev \
	COGNITIVE_IMPAIRMENT \
	PSYCHIATRIC \
	DEPRESSION \
	BODY_MASS_INDEX \
	CURRENT_SMOKER \
	CURRENT_SMOKER_noprev \
	CURRENT_SMOKER_prev \
	ACTIVITIES_DAILY_LIVING \
	INSTRUMENTAL_ACTIVITIES_DAILY_LIVING \
	SELF_HEALTH_POOR/FAIR  \
	SELF_HEALTH_POOR/FAIR_noprev  \
	SELF_HEALTH_POOR/FAIR_prev  \
	CHANGED_RESIDENCE \
	HOME_OWNERSHIP_moved \
	NHOOD_CONDITION_POOR/FAIR_moved \
	HHOLD_CONDITION_POOR/FAIR_moved )


# ====================================================================
# DEFINE PROBIT REGRESSION MACRO
# ====================================================================

config precis[digits=5]

macro p_stk(i,a,b,c,d,e,f) {

echo
echo +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo i. $a_label[i] : PARAMETER ESTIMATES
echo +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

cova var[a one12  one1  one2  logm  logm1  logm2 \
	@m_age1m  @m_age2m  @b  @c  @d e zero dd12 white12 ] byvar if[(valid12==1)&(white12==1)&(e==0)&(dd12==1)]

set missing=miss(a, one12, one1, one2, logm, logm1, logm2, \
	@m_age1m, @m_age2m, @b, @c, @d)

echo
echo i.1 WAVE 1-2 (NO INVARIANCE, INCLUDE SES)
echo -----------------------------------------------------------------

probit dep[a] ind[one12 logm @b @c @d] \
	maxit[50] \
	if[(valid12==1)&(white12==1)&(dd12==1)&(e==0)&(f)&(missing==0)]
calc llk1=_llk
array a_indvar = (@b @c @d)
calc d1 = 2+$#a_indvar
#calc d1

echo
echo i.2 WAVE 2-3 (NO INVARIANCE, INCLUDE SES)
echo -----------------------------------------------------------------

probit dep[a] ind[one12 logm @b @c @d] \
	maxit[50] \
	if[(valid12==1)&(white12==1)&(dd23==1)&(e==0)&(f)&(missing==0)]
calc llk2=_llk
array a_indvar = (@b @c @d)
calc d2 = 2+$#a_indvar
#calc d2

echo
echo i.3 WAVE 1-2 (NO INVARIANCE, EXCLUDE SES)
echo -----------------------------------------------------------------

probit dep[a] ind[one12 logm @c @d] maxit[50] \
	if[(valid12==1)&(white12==1)&(dd12==1)&(e==0)&(f)&(missing==0)]
calc llk3=_llk
array a_indvar = (@c @d)
calc d3 = 2+$#a_indvar
#calc d3

echo
echo i.4 WAVE 2-3 (NO INVARIANCE, EXCLUDE SES)
echo -----------------------------------------------------------------

probit dep[a] ind[one12 logm @c @d] maxit[50] \
	if[(valid12==1)&(white12==1)&(dd23==1)&(e==0)&(f)&(missing==0)]
calc llk4=_llk
array a_ivar = (@c @d)
calc d4 = 2+$#a_indvar
#calc d4

echo
echo i.5 STACKED (FORCE INVARIANCE, INCLUDE SES)
echo -----------------------------------------------------------------

if(i==34) {
probit dep[a] ind[one1 one2 logm1 logm2 @m_age1m @m_age2m \
	@b @c @d] maxit[50] prob[p0 p1 p2 p3 p4 p5] \
	if[(valid12==1)&(white12==1)&(e==0)&(f)&(missing==0)]
calc llk5=_llk 
array a_indvar = (@m_age1m @m_age2m @b @c @d)
calc d5 = 4+$#a_indvar
#calc d5 }

if(i==35) {
probit dep[a] ind[one1 one2 logm1 logm2 @m_age1m @m_age2m \
	@b @c @d] maxit[50] prob[p0 p1 p2 p3 p4] \
	if[(valid12==1)&(white12==1)&(e==0)&(f)&(missing==0)]
calc llk5=_llk 
array a_indvar = (@m_age1m @m_age2m @b @c @d)
calc d5 = 4+$#a_indvar
#calc d5 }

if((i<=33)|(i>=36)) {
probit dep[a] ind[one1 one2 logm1 logm2 \
	@b @c @d] maxit[50] prob[p0] coef[b0] \
	covmat[Q] pred[xb0] \
	if[(valid12==1)&(white12==1)&(e==0)&(f)&(missing==0)]
calc llk5=_llk
array a_indvar = (@b @c @d)
calc d5 = 4+$#a_indvar
#calc d5 }

echo
echo i.6 STACKED (FORCE INVARIANCE, EXCLUDE SES)
echo -----------------------------------------------------------------

probit dep[a] ind[one1 one2 logm1 logm2 \
	@c @d] maxit[50] \
	if[(valid12==1)&(white12==1)&(e==0)&(f)&(missing==0)]
calc llk6=_llk
array a_indvar = (@c @d)
calc d6 = 4+$#a_indvar
#calc d6

echo
echo +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo i. $a_label[i] : SIGNIFICANCE TESTS
echo +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

echo
echo INVARIANCE TEST (INCLUDE SES)
echo -----------------------------------------------------------------

calc chi2=2*((llk1+llk2)-llk5)
calc chi2
calc sign=1-cumchi(chi2,(d1+d2-d5))
calc sign
#calc d1+d2-d5

echo
echo INVARIANCE TEST (EXCLUDE SES)
echo -----------------------------------------------------------------

calc chi2=2*((llk3+llk4)-llk6)
calc chi2
calc sign=1-cumchi(chi2,(d3+d4-d6))
calc sign
#calc d3+d4-d6

echo
echo SES CAUSALITY TEST (WAVE 1-2)
echo -----------------------------------------------------------------

calc chi2=2*(llk1-llk3)
calc chi2
calc sign=1-cumchi(chi2,d1-d3)
calc sign
#calc d1-d3

echo
echo SES CAUSALITY TEST (WAVE 2-3)
echo -----------------------------------------------------------------

calc chi2=2*(llk2-llk4)
calc chi2
calc sign=1-cumchi(chi2,d2-d4)
calc sign
#calc d2-d4

echo
echo SES CAUSALITY TEST (FORCE INVARIANCE)
echo -----------------------------------------------------------------

calc chi2=2*(llk5-llk6)
calc chi2
calc sign=1-cumchi(chi2,d5-d6)
calc sign
#calc d5-d6

echo
echo JOINT TEST (INVARIANCE & SES CAUSALITY)
echo -----------------------------------------------------------------

calc chi2=2*((llk1+llk2)-llk6)
calc chi2
calc sign=1-cumchi(chi2,(d1+d2-d6))
calc sign
#calc d1+d2-d6

}


# ====================================================================
# RUN NEW INCIDENCE NHOOD/HHOLD REGRESSIONS
# ====================================================================


# ********************************************************************
# ********************************************************************
@p_stk(39,moved23,m_ses12b,m_dem12a,m_moved4,mort23,zero==0)


# ********************************************************************
# ********************************************************************
@p_stk(40,hmown23,m_ses12b,m_dem12a,m_hmown4,mort23,moved23==1)


# ********************************************************************
# ********************************************************************
@p_stk(41,hoodpf23,m_ses12b,m_dem12a,m_hood4,mort23,moved23==1)


# ********************************************************************
# ********************************************************************
@p_stk(42,condpf23,m_ses12c,m_dem12a,m_cond4,mort23,moved23==1)


spool off
quit
