
% PROJECT:		Healthy, Wealthy, & Wise (AHEAD Data)
% FACULTY:		Daniel McFadden
% AUTHOR:		Peter Adams
% LAST UPDATE:		February 10, 2003
% PROGRAM DESC:		Read-in Coefficients and Data (1)


clear all;
cd ../data_txt;

% ===========================================================================
% DATA/COEFFICIENT LABELS
% ===========================================================================

[icol_txt]=textread('icoeffcols.txt','%s');
[irow_txt]=textread('icoeffrows.txt','%s');
[pcol_txt]=textread('pcoeffcols.txt','%s');
[prow_txt]=textread('pcoeffrows.txt','%s');
[data_txt]=textread('sample1cols.txt','%s');

[wrow1_txt]=textread('wcoeffrows1.txt','%s');	% SINGLES
[nrow1_txt]=textread('ncoeffrows1.txt','%s');	% SINGLES
[wrow2_txt]=textread('wcoeffrows2.txt','%s');	% COUPLES & SPOUSE DIED
[nrow2_txt]=textread('ncoeffrows2.txt','%s');	% COUPLES & SPOUSE DIED
wrow1_txt=lower(wrow1_txt);
nrow1_txt=lower(nrow1_txt);
wrow2_txt=lower(wrow2_txt);
nrow2_txt=lower(nrow2_txt);

[prev_txt]=textread('prevlist.txt','%s');
[inc_txt]=textread('inclist.txt','%s');
prev_txt=upper(prev_txt);
inc_txt=upper(inc_txt);

% ===========================================================================
% SAMPLE (WHITE, 70-74)
% ===========================================================================

load sample1vals.txt;
data7074=sample1vals;

% ===========================================================================
% PREVALENCE COEFFICIENTS (WHITE FEMALES)
% ===========================================================================

load pcoeffvals_wf.txt;

for j=1:19;
    for i=1:40;
    pc_wf(pcoeffvals_wf(i,j),j)=pcoeffvals_wf(i,19+j);
    end;
end;

% ===========================================================================
% PREVALENCE COEFFICIENTS (WHITE MALES)
% ===========================================================================

load pcoeffvals_wm.txt;

for j=1:19;
    for i=1:40;
    pc_wm(pcoeffvals_wm(i,j),j)=pcoeffvals_wm(i,19+j);
    end;
end;

% ===========================================================================
% INCIDENCE COEFFICIENTS (WHITE FEMALES)
% ===========================================================================

load icoeffvals_wf.txt;

for j=1:28;
    for i=1:63;
    ic_wf(icoeffvals_wf(i,j),j)=icoeffvals_wf(i,28+j);
    end;
end;

% ===========================================================================
% INCIDENCE COEFFICIENTS (WHITE MALES)
% ===========================================================================

load icoeffvals_wm.txt;

for j=1:28;
    for i=1:63;
    ic_wm(icoeffvals_wm(i,j),j)=icoeffvals_wm(i,28+j);
    end;
end;

% ===========================================================================
% WEALTH/INCOME COEFFICIENTS (COUPLES)
% ===========================================================================

load wcoeffvals_ca.txt;
wc_ca=wcoeffvals_ca;

load wcoeffvals_cl.txt;
wc_cl=wcoeffvals_cl;

load wcoeffvals_cn.txt;
wc_cn=wcoeffvals_cn;

load ncoeffvals_c.txt;
nc_c=ncoeffvals_c;

% ===========================================================================
% WEALTH/INCOME COEFFICIENTS (SPOUSE DIED)
% ===========================================================================

load wcoeffvals_da.txt;
wc_da=wcoeffvals_da;

load wcoeffvals_dl.txt;
wc_dl=wcoeffvals_dl;

load wcoeffvals_dn.txt;
wc_dn=wcoeffvals_dn;

load ncoeffvals_d.txt;
nc_d=ncoeffvals_d;

% ===========================================================================
% WEALTH/INCOME COEFFICIENTS (SINGLES)
% ===========================================================================

load wcoeffvals_sa.txt;
wc_sa=wcoeffvals_sa;

load wcoeffvals_sl.txt;
wc_sl=wcoeffvals_sl;

load wcoeffvals_sn.txt;
wc_sn=wcoeffvals_sn;

load ncoeffvals_s.txt;
nc_s=ncoeffvals_s;


% =============================================================================
% SAVE DATABASE
% =============================================================================

clear ans i j k sample1vals pcoeffvals_wf pcoeffvals_wm ...
	icoeffvals_wf icoeffvals_wm ncoeffvals_c ncoeffvals_d ncoeffvals_s ...
	wcoeffvals_ca wcoeffvals_da wcoeffvals_sa ...
	wcoeffvals_cl wcoeffvals_dl wcoeffvals_sl ...
	wcoeffvals_cn wcoeffvals_dn wcoeffvals_sn ;

cd ../matlab;

save exogdata.mat
